package com.bsz.school_send_back_end.config;

import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

/**
 * @author xy
 * Springdoc OpenAPI 配置
 *
 * http://localhost:6448/swagger-ui/index.html 接口文档地址
 */
@Configuration
@Profile({"dev", "test"})  // 版本控制访问
public class Knife4jConfig {

    @Bean
    public GroupedOpenApi defaultApi() {
        return GroupedOpenApi.builder()
                .group("xiaokuaisong")
                .packagesToScan("com.bsz.school_send_back_end.controller") // 指定扫描的包路径
                .build();
    }
}
