package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 聊天记录
 * @TableName private_message
 */
@TableName(value ="private_message")
@Data
public class PrivateMessage implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 发消息者
     */
    private String from_userAccount;

    /**
     * 接收消息者
     */
    private String to_userAccount;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 消息内容
     */
    private String message;

    /**
     * 发消息者是否删除
     */
    private Integer from_user_deleted;

    /**
     * 接收消息者是否删除
     */
    private Integer to_user_deleted;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}