package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 菜品和规格的中间表
 * @TableName specifications_dishes
 */
@TableName(value ="specifications_dishes")
@Data
public class SpecificationsDishes implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 菜品id
     */
    private Long dishesId;

    /**
     * 规格id
     */
    private Long specificationsId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}