package com.bsz.school_send_back_end.model.dto.Dishes;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class DishesAddRequest implements Serializable {



    /**
     * 该菜品的规格id列表
     */
    private List<Long> specificationsIds;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 菜品分组id
     */
    private Long dishesGroupId;

    /**
     * 菜品名称
     */
    private String dishesName;

    /**
     * 菜品图片
     */
    private String dishesImage;

    /**
     * 菜品价格
     */
    private Double dishesPrice;

    /**
     * 打包费
     */
    private Double packPrice;

    /**
     * 库存数量
     */
    private Integer inventoryStatus;

    /**
     * 菜品状态：上架，下架
     */
    private String status;

    @Serial
    private static final long serialVersionUID = 4275284130550579408L;
}
