package com.bsz.school_send_back_end.model.dto.Dishes;

import com.bsz.school_send_back_end.model.dto.PageRequest;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class DishesQueryRequest  extends PageRequest implements Serializable {

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 菜品分组id
     */
    private Long dishesGroupId;

    /**
     * 菜品名称
     */
    private String dishesName;

    /**
     * 菜品状态：上架，下架
     */
    private String status;
    @Serial
    private static final long serialVersionUID = 7657901721509360225L;
}
