package com.bsz.school_send_back_end.model.dto.cart;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author xy
 */
@Data
public class CartUpdateRequest implements Serializable {

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * id
     */
    private Long id;

    /**
     * 关联的菜品id
     */
    private Long dishesId;

    /**
     * 菜品数量
     */
    private Integer quantity;

    /**
     * 是否加入有规格的菜品
     */
    private Boolean isSelectedOptions = false;

    /**
     * 已选规格属性列表
     */
    private String selectedOptions = "";

    @Serial
    private static final long serialVersionUID = 4086381861303093101L;

}
