package com.bsz.school_send_back_end.model.dto.file;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class UploadFileRequest implements Serializable {

    /**
     * 业务
     */
    @Schema(description = "业务标识，例如：user_avatar，dishes，card，system, takeout")
    private String biz;

    @Serial
    private static final long serialVersionUID = 5633491538829896175L;
}
