package com.bsz.school_send_back_end.model.dto.log;

import com.bsz.school_send_back_end.model.dto.PageRequest;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 *系统信息查询请求
 */
@Data
public class LogQueryRequest extends PageRequest implements Serializable{

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 手机号
     */
    private String businessPhone;

    /**
     * 操作内容
     */
    private String content;

    /**
     * ip
     */
    private String ip;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    @Serial
    private static final long serialVersionUID = 2952253938605974287L;
}
