package com.bsz.school_send_back_end.model.dto.order;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单详情创建请求
 */
@Data
public class OrderDetailAddRequest implements Serializable {

    /**
     * 关联的菜品id
     */
    private Long dishesId;

    /**
     * 购买数量
     */
    private Integer quantity;

    /**
     * 规格属性列表
     */
    private String attributeNames;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}