package com.bsz.school_send_back_end.model.dto.refund;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class RefundAddRequest {
    /**
     * 订单号，唯一标识
     */
    private Long orderId;

    /**
     * 退款原因
     */
    private String reason;

    /**
     * 退款金额
     */
    private BigDecimal amount;

    /**
     * 退款状态：0-待审核, 1-已同意, 2-已拒绝
     */
    private Integer status;
}
