package com.bsz.school_send_back_end.model.dto.specifications;

import com.bsz.school_send_back_end.model.dto.attribute.AttributeAddRequest;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class SpecificationsAddRequest implements Serializable {

    /**
     * 规格名称
     */
    private String specificationsName;

    /**
     * 属性请求体列表
     */
    private List<AttributeAddRequest> attributeAddRequests;

    @Serial
    private static final long serialVersionUID = -2573217224030065261L;
}
