package com.bsz.school_send_back_end.model.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家视图 (用户视角)
 *
 *
 */
@Data
public class BusinessVO implements Serializable {

    @Serial
    private static final long serialVersionUID = -3905934050752996111L;
    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 门店头像
     */
    private String businessAvatar;

    /**
     * 门店手机号
     */
    private String businessPhone;

    /**
     * 店铺详细地址
     */
    private String address;

    /**
     * 门店简介
     */
    private String businessProfile;

    /**
     * 商家相册
     */
    private String businessImages;

    /**
     * 开始营业时间
     */
    private String startBusiness;

    /**
     * 结束营业时间
     */
    private String endBusiness;

    /**
     * 月售
     */
    private Long monthlySales;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 店铺状态:0休业,1营业
     */
    private Integer storeStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 状态:0禁用,1启用
     */
    private Integer state;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 是否被收藏
     */
    private Boolean isCollected;

}