package com.bsz.school_send_back_end.model.vo;

import lombok.Data;

@Data
public class DishesVO {
    /**
     * 菜品名称
     */
    private String dishesName;

    /**
     * 菜品图片
     */
    private String dishesImage;

    /**
     * 菜品价格
     */
    private Double dishesPrice;

    /**
     * 打包费
     */
    private Double packPrice;

    /**
     * 库存数量
     */
    private Integer inventoryStatus;

    /**
     * 菜品状态：上架，下架
     */
    private String status;
    /**
     * 是否有规格（0：没有，1：有）
     */
    private Integer isSpecification = 0;
}
