package com.bsz.school_send_back_end.contant;

import java.util.List;

public interface RabbitMQConstant {

    /**
     * 聊天
     */
    String TOPIC_QUEUE1 = "topic.chat";

    /**
     * 商家
     */
    String TOPIC_QUEUE2 = "topic.order";

    /**
     * 跑腿
     */
    String TOPIC_QUEUE3 = "topic.errand";

    /**
     * 交换机
     */
    String TOPIC_EXCHANGE = "topicExchage";

    /**
     * 请求响应交换机，用于处理用户和商家之间的异步响应
     */
    String RESPONSE_EXCHANGE = "responseExchange";

    /**
     * 订单响应队列，商家处理完成订单后，可以发送响应消息到这个队列
     */
    String ORDER_REPLY_QUEUE = "orderReplyQueue";

//    // 交换机名称
//    String DELAYED_EXCHANGE = "delayed.exchange";
//    // 队列名称
//    String DELAYED_QUEUE = "delayed.queue";
//    // 路由键
//    String DELAYED_ROUTING_KEY = "delayed.routingKey";

    //    List<Long> DELAY_MILLIS = List.of(10000L, 10000L, 10000L, 15000L, 15000L, 30000L, 30000L, 60000L, 60000L, 120000L, 300000L, 600000L, 600000L));

    // 堂食订单取消（3分钟）
    List<Long> DINE_IN_DELAY_MILLIS = List.of(30000L, 30000L, 30000L, 30000L, 30000L, 30000L);

    // 外卖订单退款（30分钟，多次检查）
    List<Long> DELIVERY_DELAY_MILLIS = List.of(600000L, 1200000L, 1800000L);

    // 取消订单相关常量
    String CANCEL_ORDER_EXCHANGE = "cancel_order_exchange";  // 取消订单交换机
    String CANCEL_ORDER_QUEUE = "cancel_order_queue";  // 取消订单队列
    String CANCEL_ORDER_ROUTING_KEY = "cancel_order_key";  // 取消订单路由键
    // 外卖单相关常量
    String DELIVERY_DELAY_EXCHANGE = "delivery_exchange";  // 外卖单交换机
    String DELIVERY_ORDER_QUEUE = "delivery_queue";  // 外卖单队列
    String DELIVERY_ORDER_ROUTING_KEY = "delivery_key";  // 外卖单路由键


//    String DELAY_COUPON_QUEUE = "coupon.delay.queue";
//
//    String DELAY_COUPON_ROUTING_KEY = "coupon.key";
//
//    String DELAY_USER_COUPON_QUEUE = "userCoupon.delay.queue";
//
//    String DELAY_USER_COUPON_ROUTING_KEY = "userCoupon.key";
//
//    String DELAY_ADVANCE_ORDER_QUEUE = "advanceOrder.delay.queue";
//
//    String DELAY_ADVANCE_ROUTING_KEY = "advanceOrder.key";
//
//    String DELAY_CLOTHES_RENT_ORDER_QUEUE = "clothesRentOrder.delay.queue";
//
//    String DELAY_CLOTHES_RENT_ORDER_ROUTING_KEY = "clothesRentOrder.key";
//
//    String DELAY_CLOTHES_RENT_PERIOD_QUEUE = "clothesRentPeriod.delay.queue";
//
//    String DELAY_CLOTHES_RENT_PERIOD_ROUTING_KEY = "clothesRentPeriod.key";
//


}