package com.bsz.school_send_back_end.controller;

import com.bsz.school_send_back_end.model.domain.PrivateMessage;
import com.bsz.school_send_back_end.service.WebsocketService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.messaging.handler.annotation.MessageMapping;
import org.springframework.web.bind.annotation.RestController;

import jakarta.annotation.Resource;

@Tag(name = "聊天接口")
@RestController
public class PrivateChatController {

    @Resource
    private WebsocketService ws;

    @MessageMapping("/privateChat")
    public void singleChat (PrivateMessage message) {
        ws.sendChatMessage(message);
    }
}
