package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家
 * @TableName business_auth
 */
@TableName(value ="business_auth")
@Data
public class BusinessAuth implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 店铺id
     */
    private Long businessId;

    /**
     * 店主名
     */
    private String shopkeeper;

    /**
     * 营业执照
     */
    private String license;

    /**
     * 身份证正面
     */
    private String frontIdCard;

    /**
     * 身份证反面
     */
    private String backIdCard;

    /**
     * 银行卡号
     */
    private String bankCard;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}