package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 菜品分组表
 * @TableName dishes_group
 */
@TableName(value ="dishes_group")
@Data
public class DishesGroup implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 菜品分组名称
     */
    private String groupName;

    /**
     * 是否置顶:0不置顶,1置顶
     */
    private Integer isTopping;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    @TableLogic
    private Integer isDelete;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}