package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 跑腿认证
 * @TableName errand_auth
 */
@TableName(value ="errand_auth")
@Data
public class ErrandAuth implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 跑腿id
     */
    private Long errandId;

    /**
     * 银行卡号
     */
    private String bankCard;

    /**
     * 身份证正面
     */
    private String frontIdCard;

    /**
     * 身份证反面
     */
    private String backIdCard;

    /**
     * 健康证
     */
    private String healthCertificate;

    /**
     * 健康证开始时间
     */
    private Date certificateStartTime;

    /**
     * 健康证结束时间
     */
    private Date certificateEndTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    @Serial
    private static final long serialVersionUID = 1L;
}