package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 外卖图片
 * @TableName order_image
 */
@TableName(value ="order_image")
@Data
public class OrderImage implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long orderId;

    /**
     * 外卖地址
     */
    private String imageAddress;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}