package com.bsz.school_send_back_end.model.dto.attribute;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 属性添加请求体
 *
 * @author xy
 */
@Data
public class AttributeAddRequest implements Serializable {

    /**
     * 属性名称
     */
    private String attributeName;

    /**
     * 属性状态:0在售,1停售
     */
    private Integer attributeStatus;

    @Serial
    private static final long serialVersionUID = 1L;
}
