package com.bsz.school_send_back_end.model.dto.business;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家添加请求
 *
 * @TableName business
 */
@Data
public class BusinessAddRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = -923925091426442746L;

    /**
     * 账号
     */
    private String userAccount;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 门店名
     */
    private String businessName;

    /**
     * 门店头像
     */
    private String businessAvatar;

    /**
     * 门店手机号
     */
    private String businessPhone;

    /**
     * 店铺详细地址
     */
    private String address;

    /**
     * 门店简介
     */
    private String businessProfile;

    /**
     * 商家相册
     */
    private String businessImages;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 店主名
     */
    private String shopkeeper;

    /**
     * 营业执照
     */
    private String license;

    /**
     * 身份证正面
     */
    private String frontIdCard;

    /**
     * 身份证反面
     */
    private String backIdCard;

    /**
     * 银行卡号
     */
    private String bankCard;

    /**
     * 开始营业时间
     */
    private String startBusiness;

    /**
     * 结束营业时间
     */
    private String endBusiness;
}
