package com.bsz.school_send_back_end.model.dto.business;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家添加请求
 */
@Data
public class BusinessUpdateMyRequest implements Serializable {

    /**
     * 门店昵称
     */
    private String businessName;

    /**
     * 门店头像
     */
    private String businessAvatar;

    /**
     * 手机号
     */
    private String businessPhone;

    /**
     * 店铺详细地址
     */
    private String address;

    /**
     * 门店简介
     */
    private String businessProfile;

    /**
     * 商家相册
     */
    private String businessImages;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 开始营业时间
     */
    private String startBusiness;

    /**
     * 结束营业时间
     */
    private String endBusiness;

    /**
     * 店铺状态:0休业,1营业
     */
    private Integer storeStatus;

    @Serial
    private static final long serialVersionUID = 1L;
}