package com.bsz.school_send_back_end.model.dto.business;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家更新请求
 *
 */
@Data
public class BusinessUpdateRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = -3591512809067116995L;

    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 门店昵称
     */
    private String businessName;

    /**
     * 门店头像
     */
    private String businessAvatar;

    /**
     * 门店手机号
     */
    private String businessPhone;

    /**
     * 店铺详细地址
     */
    private String address;

    /**
     * 门店简介
     */
    private String businessProfile;

    /**
     * 商家相册
     */
    private String businessImages;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 开始营业时间
     */
    private String startBusiness;

    /**
     * 结束营业时间
     */
    private String endBusiness;

    /**
     * 状态:0禁用,1启用
     */
    private Integer state;

    /**
     * 店铺状态:0休业,1营业
     */
    private Integer storeStatus;

}
