package com.bsz.school_send_back_end.model.dto.businessinfo;

import com.bsz.school_send_back_end.model.dto.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
public class InfoQueryRequest extends PageRequest implements Serializable {

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 创建时间
     */
    private Date createTime;

    @Serial
    private static final long serialVersionUID = -1976825924815005032L;
}
