package com.bsz.school_send_back_end.model.dto.errand;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class ErrandAddRequest implements Serializable {

    /**
     * 账号
     */
    private String userAccount;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 密码
     */
    private String checkPassword;

    /**
     * 跑腿姓名
     */
    private String errandName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 手机号
     */
    private String errandPhone;

    /**
     * 配送范围
     */
    private String distributionScope;

    @Serial
    private static final long serialVersionUID = 1429991098597318147L;
}
