package com.bsz.school_send_back_end.model.dto.errand;

import com.bsz.school_send_back_end.model.dto.PageRequest;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class ErrandQueryRequest extends PageRequest implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     *  跑腿姓名
     */
    private String errandName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 手机号
     */
    private String errandPhone;

    /**
     * 配送范围
     */
    private String distributionScope;

    /**
     * 审核状态 0-未审核 1-审核通过
     */
    private Integer state;

    @Serial
    private static final long serialVersionUID = -1612139663948514866L;
}
