package com.bsz.school_send_back_end.model.dto.order;

import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

@Data
public class OrderUpdateRequest {

    /**
     * id
     */
    private Long orderId;

    /**
     * 取餐方式(0堂食 1自提 2外卖)
     */
    private Integer pickupMethod;

    /**
     * 配送地址
     */
    private String location;

    /**
     * 取餐开始时间
     */
    private LocalDateTime pickupStartTime;

    /**
     * 取餐开始时间
     */
    private LocalDateTime  pickupEndTime;

    /**
     * 备注
     */
    private String notes;
}
