package com.bsz.school_send_back_end.model.dto.user;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 *
 * 用户创建请求
 *
 */
@Data
public class UserAddRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = -8848430212953827391L;

    /**
     * 用户昵称
     */
    private String username;

    /**
     * 用户账号
     */
    private String userAccount;

    /**
     * 用户密码
     */
    private String userPassword;

    /**
     * 用户头像
     */
    private String avatarUrl;




}

