package com.bsz.school_send_back_end.model.dto.user;

import com.bsz.school_send_back_end.model.dto.PageRequest;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 用户查询请求
*
*/
@Data
public class UserSearchRequest extends PageRequest implements Serializable {

    /**
     * 用户昵称
     */
    private String username;

    /**
     * 账号
     */
    private String userAccount;


    /**
     * 性别 男 女
     */
    private Integer gender;


    /**
     * 电话
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 状态 0-正常 1-注销 2-封号
     */
    private Integer userStatus;


    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     *
     */
    private String userRole;


    private static final long serialVersionUID = 1L;
}