package com.bsz.school_send_back_end.model.vo;

import com.bsz.school_send_back_end.model.domain.Business;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商家日志视图
 */
@Data
public class BusinessLogVO implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商家信息
     */
    private Business business;

    /**
     * 操作内容
     */
    private String content;

    /**
     * ip地址
     */
    private String ip;

    /**
     * 创建时间
     */
    private Date createTime;

    @Serial
    private static final long serialVersionUID = 3150374624339085749L;
}
