package com.bsz.school_send_back_end.model.vo;

import lombok.Data;

@Data
public class ErrandVO {
    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 跑腿姓名
     */
    private String errandName;

    /**
     * 跑腿头像
     */
    private String errandAvatarUrl;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 手机号
     */
    private String errandPhone;

    /**
     * 配送范围
     */
    private String distributionScope;

    /**
     * 审核状态 0-未审核 1-审核通过
     */
    private Integer state;

    /**
     * 接单量
     */
    private Integer totalOrders;

    /**
     * 最大接单量
     */
    private Integer maxOrders;

    /**
     * 等级
     */
    private Integer level;



    /**
     * 银行卡号
     */
    private String bankCard;

    /**
     * 身份证正面
     */
    private String frontIdCard;

    /**
     * 身份证反面
     */
    private String backIdCard;
}
