package com.bsz.school_send_back_end.model.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class UserVO implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     * openId
     */
    private String openId;
    /**
     * 用户昵称
     */
    private String username;

    /**
     * 账号
     */
    private String userAccount;

    /**
     * 用户头像
     */
    private String avatarUrl;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 电话
     */
    private String phone;

    /**
     * 状态 0 -正常
     */
    private Integer userStatus;

    /**
     * 登录态
     */
    private String sessionId;

    /**
     * 用户角色 0 - 普通用户 1 - 管理员 2 - 商家
     */
    private String userRole;
}
