package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.Business;
import com.bsz.school_send_back_end.model.domain.BusinessAuth;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.vo.BusinessAdminVO;

import java.util.List;

/**
* @author Lenovo
* @description 针对表【business_auth(商家认证)】的数据库操作Service
*/
public interface BusinessAuthService extends IService<BusinessAuth> {

    /**
     * 获取脱敏的商家信息
     */
    BusinessAdminVO getBusinessAdminVO(Business business);

}
