package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.domain.DishesGroup;
import com.bsz.school_send_back_end.model.vo.DishesGroupVO;

import jakarta.servlet.http.HttpServletRequest;
import java.util.List;

/**
* @author xy
*/
public interface DishesGroupService extends IService<DishesGroup> {

    /**
     * 校验菜品分组
     */
    void validDishesGroup(DishesGroup dishesGroup,boolean update);

    /**
     * 添加菜品分组
     */
    Boolean addDishesGroup(DishesGroup dishesGroup, HttpServletRequest request);

    /**
     * 获取菜品分组
     */
    List<DishesGroupVO> getDishGroupVOList(List<DishesGroup> dishesGroupList);

    /**
     * 更新
     */
    Boolean updateDishesGroupById(DishesGroup dishesGroup, HttpServletRequest request);
}
