package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.bsz.school_send_back_end.model.domain.ErrandAuth;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.dto.errandAtuh.ErrandAuthQueryRequest;

/**
* @author xy
*/
public interface ErrandAuthService extends IService<ErrandAuth> {

    /**
     * 校验跑腿认证
     */
    void validErrandAuth (ErrandAuth errandAuth, boolean add);

    /**
     * 获取修改对象
     */
    LambdaUpdateWrapper<ErrandAuth> getUpdateWrapper (ErrandAuth errandAuth);

    /**
     * 获取查询对象
     */
    QueryWrapper<ErrandAuth> getQueryWrapper (ErrandAuthQueryRequest errandAuthQueryRequest);

    /**
     * 根据id获取跑腿认证信息
     */
    ErrandAuth getErrandAuth(Long errandId);

}
