package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.bsz.school_send_back_end.model.domain.ErrandIncome;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.domain.Orders;
import com.bsz.school_send_back_end.model.dto.erradnIncome.ErrandIncomeQueryRequest;

/**
* @author xy
*/
public interface ErrandIncomeService extends IService<ErrandIncome> {
    /**
     * 添加跑腿收入
     */
    void addErrandIncome(Orders orders);

    /**
     * 分页查询
     */
    QueryWrapper<ErrandIncome> getWrapper(ErrandIncomeQueryRequest queryRequest);

    /**
     * 获取当日跑腿定案查询条件
     */
    LambdaQueryWrapper<ErrandIncome> getQueryWrapper (Long errandId);
}
