package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.domain.OrderDetails;
import com.bsz.school_send_back_end.model.vo.OrderDetailsVO;


import java.util.List;

/**
 * @author xy
 */
public interface OrderDetailsService extends IService<OrderDetails> {

    /**
     * 校验订单菜品
     */
    void validOrderDetail(OrderDetails orderDetails);

    /**
     * 获取订单详情视图信息
     */
    OrderDetailsVO getOrderDetailsVO(OrderDetails orderDetails);

    /**
     * 获取订单详情视图信息
     */
    List<OrderDetailsVO> getOrderDetailsVO(List<OrderDetails> orderDetailsList);



}
