package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.SpecificationsDishes;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.vo.SpecificationsVO;

import java.util.List;

/**
* @author xy
*/
public interface SpecificationsDishesService extends IService<SpecificationsDishes> {

    /**
     * 删除中间表信息
     */
    void deleteByDishesId(Long dishesId);

    /**
     * 添加中间表信息
     */
    Boolean add(Long dishesId, List<Long> specificationsIds);

    /**
     * 更新中间表信息
     */
    Boolean updateByDishesId(Long dishesId, List<Long> specificationsIds);

    /**
     * 根据中间表数据中的规格id获取规格信息和属性
     */
    List<SpecificationsVO> getSpecificationsAddAttribute(List<SpecificationsDishes> specificationsDishesList);
}
